﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using System.Data.Entity.Database;

namespace CodeFirst
{
	class Program
	{
		static void Main(string[] args)
		{
			DbDatabase.SetInitializer(new DropCreateDatabaseAlways<OrderContext>());
			InsertCustomer();
			//UpdateCustomer();
			//UpdateCustomer2();
			//DeleteCustomer();
			//SelectOrder();
		}

		private static void SelectOrder()
		{
			using (var ctx = new OrderContext())
			{
				var orders = ctx.Orders.SqlQuery("select * from orders");
			}
		}

		private static void DeleteCustomer()
		{
			using (var ctx = new OrderContext())
			{
				var c = ctx.Customers.Find(1);
				ctx.Customers.Remove(c);
				ctx.SaveChanges();
			}
		}

		private static void UpdateCustomer()
		{
			using (var ctx = new OrderContext())
			{
				var c = ctx.Customers.Find(1);
				c.Name = "Daniele Bochicchio";
				ctx.SaveChanges();
			}
		}

		private static void UpdateCustomer2()
		{
			Customer c;
			using (var ctx = new OrderContext())
			{
				c = ctx.Customers.Find(2);
			}

			using (var ctx = new OrderContext())
			{
				ctx.Customers.Attach(c);
				c.Name = "Daniele Bochicchio";
				ctx.SaveChanges();
			}
		}

		private static void InsertCustomer()
		{
			using (var ctx = new OrderContext())
			{
				ctx.Customers.Add(new Customer() { Name = "Mostarda Stefano" });
				ctx.SaveChanges();

			}
		}
	}
}
